; Exemple de script pour la mise  jour de portrait sous TOEE
;
; les lignes contenant ";" sont ignor par le programme
;
; Ce script n'est pas pas limit  un seul portrait. Il offre la possiblit d'importer,
; de remplacer ou d'effacer autant de portraits que l'on veut.
;
; L'ordre des noms de fichiers est primordiale ! Une erreur entrainera un crash de TOEE. 
;
; Le script pour ajouter un portrait est le suivant :
;
; ADD
; [PC/NPC/MONSTER] ; Choix du type de portrait PC, NPC ou monstre
; [filename_big.tga]   ; Ce fichier n'est ncessaire que pour les PC
; filename_mini.tga
; filename_small.tga
; filename_small_grey.tga
; filename_mini_grey.tga
;
; Le script pour remplacer un portrait est le suivant :
; 
; REPLACE
; ID               ; l'ID du portrait qu'on veut remplacer (voir le fichier portlist.ids)
; [filename_big.tga]   ; Uniquement lorsqu'on remplace un PC
; filename_mini.tga
; filename_small.tga
; filename_small_grey.tga
; filename_mini_grey.tga
;
; Le script pour effacer un portrait est le suivant :
;
; REMOVE
; ID              ; ID du portrait que l'on veut retirer
;
;
; Il est prfrable de garder un exemplaire du fichier portraits.mes d'origine afin
; de connaitre le nom des fichiers correspondant aux portraits originaux que l'on 
; veut remplacer pour le cas o on dsire par la suite les rinstaller.
;
; The following example script imports Chris Glenn's custom portrait
; as a PC portrait, replaces Terjon's portrait with the same custom
; portrait, then removes the portrait from Terjon
;
; L'exemple suivant correspond  l'importation du portrait 01, au remplacement 
; du portrait d'illusionniste gnome ( ID : 0010 ) par le portrait 02 et enfin  
; l'effacement du portrait de la Druide Demi-Elfe ( ID = 1500 ).
;

ADD
PC
01_big.tga
01_mini.tga
01_small.tga
01_small_grey.tga
01_mini_grey
REPLACE
0010
02_big.tga
02_mini.tga
02_small.tga
02_small_grey.tga
02_mini_grey.tga
REMOVE
1500

; La dernire action est gnralement  proscrire car les personnages prtirs du 
; jeu utilisent naturellement les portraits originaux. Si ces personnages prtirs 
; sont affichs lors de la slection du perso, il s'en suivra un bug graphique sur 
; tout les portraits miniatures ( small et mini ).